org.apache.tinkerpop.gremlin.structure

## Class VertexTest.BasicVertexTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.VertexTest.BasicVertexTest

- Enclosing class:
    VertexTest

      public static class VertexTest.BasicVertexTest
      extends AbstractGremlinTest

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicVertexTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAddVertexWithLabel()`
    `void` | `shouldAutotypeBooleanProperties()`
    `void` | `shouldAutotypeDoubleProperties()`
    `void` | `shouldAutotypeFloatProperties()`
    `void` | `shouldAutotypeIntegerProperties()`
    `void` | `shouldAutotypeLongProperties()`
    `void` | `shouldAutotypeStringProperties()`
    `void` | `shouldEvaluateEquivalentVertexHashCodeWithSuppliedIds()`
    `void` | `shouldEvaluateEquivalentVerticesWithNoSuppliedIds()`
    `void` | `shouldEvaluateVerticesEquivalentWithSuppliedIdsViaIterators()`
    `void` | `shouldEvaluateVerticesEquivalentWithSuppliedIdsViaTraversal()`
    `void` | `shouldGetPropertyKeysOnVertex()`
    `void` | `shouldHaveExceptionConsistencyWhenAssigningSameIdOnEdge()`
    `void` | `shouldHaveExceptionConsistencyWhenIdNotSupportedForAddEdge()`
    `void` | `shouldHaveExceptionConsistencyWhenUsingEmptyVertexLabel()`
    `void` | `shouldHaveExceptionConsistencyWhenUsingEmptyVertexLabelOnOverload()`
    `void` | `shouldHaveExceptionConsistencyWhenUsingNullVertexLabel()`
    `void` | `shouldHaveExceptionConsistencyWhenUsingNullVertexLabelOnOverload()`
    `void` | `shouldHaveExceptionConsistencyWhenUsingSystemVertexLabel()`
    `void` | `shouldHaveExceptionConsistencyWhenUsingSystemVertexLabelOnOverload()`
    `void` | `shouldHaveStandardStringRepresentation()`
    `void` | `shouldHaveStandardStringRepresentationWithProperties()`
    `void` | `shouldNotGetConcurrentModificationException()`
    `void` | `shouldReturnEmptyIteratorIfNoProperties()`
    `void` | `shouldSupportBasicVertexManipulation()`
    `void` | `shouldUpsertWhenAssigningSameIdOnEdge()`
    `void` | `shouldUseDefaultLabelIfNotSpecified()`
    `void` | `shouldValidateEquality()`
    `void` | `shouldValidateIdEquality()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicVertexTest

          public BasicVertexTest()

  - ### Method Detail

    - #### shouldValidateEquality

          public void shouldValidateEquality()

    - #### shouldValidateIdEquality

          public void shouldValidateIdEquality()

    - #### shouldHaveExceptionConsistencyWhenUsingNullVertexLabel

          public void shouldHaveExceptionConsistencyWhenUsingNullVertexLabel()

    - #### shouldHaveExceptionConsistencyWhenUsingNullVertexLabelOnOverload

          public void shouldHaveExceptionConsistencyWhenUsingNullVertexLabelOnOverload()

    - #### shouldHaveExceptionConsistencyWhenUsingEmptyVertexLabel

          public void shouldHaveExceptionConsistencyWhenUsingEmptyVertexLabel()

    - #### shouldHaveExceptionConsistencyWhenUsingEmptyVertexLabelOnOverload

          public void shouldHaveExceptionConsistencyWhenUsingEmptyVertexLabelOnOverload()

    - #### shouldHaveExceptionConsistencyWhenUsingSystemVertexLabel

          public void shouldHaveExceptionConsistencyWhenUsingSystemVertexLabel()

    - #### shouldHaveExceptionConsistencyWhenUsingSystemVertexLabelOnOverload

          public void shouldHaveExceptionConsistencyWhenUsingSystemVertexLabelOnOverload()

    - #### shouldHaveExceptionConsistencyWhenAssigningSameIdOnEdge

          public void shouldHaveExceptionConsistencyWhenAssigningSameIdOnEdge()

    - #### shouldUpsertWhenAssigningSameIdOnEdge

          public void shouldUpsertWhenAssigningSameIdOnEdge()

    - #### shouldHaveExceptionConsistencyWhenIdNotSupportedForAddEdge

          public void shouldHaveExceptionConsistencyWhenIdNotSupportedForAddEdge()
                                                                          throws Exception

      Throws:
        `Exception`

    - #### shouldHaveStandardStringRepresentation

          public void shouldHaveStandardStringRepresentation()

    - #### shouldHaveStandardStringRepresentationWithProperties

          public void shouldHaveStandardStringRepresentationWithProperties()

    - #### shouldUseDefaultLabelIfNotSpecified

          public void shouldUseDefaultLabelIfNotSpecified()

    - #### shouldAddVertexWithLabel

          public void shouldAddVertexWithLabel()

    - #### shouldSupportBasicVertexManipulation

          public void shouldSupportBasicVertexManipulation()

    - #### shouldEvaluateVerticesEquivalentWithSuppliedIdsViaTraversal

          public void shouldEvaluateVerticesEquivalentWithSuppliedIdsViaTraversal()

    - #### shouldEvaluateVerticesEquivalentWithSuppliedIdsViaIterators

          public void shouldEvaluateVerticesEquivalentWithSuppliedIdsViaIterators()

    - #### shouldEvaluateEquivalentVerticesWithNoSuppliedIds

          public void shouldEvaluateEquivalentVerticesWithNoSuppliedIds()

    - #### shouldEvaluateEquivalentVertexHashCodeWithSuppliedIds

          public void shouldEvaluateEquivalentVertexHashCodeWithSuppliedIds()

    - #### shouldAutotypeStringProperties

          public void shouldAutotypeStringProperties()

    - #### shouldAutotypeIntegerProperties

          public void shouldAutotypeIntegerProperties()

    - #### shouldAutotypeBooleanProperties

          public void shouldAutotypeBooleanProperties()

    - #### shouldAutotypeDoubleProperties

          public void shouldAutotypeDoubleProperties()

    - #### shouldAutotypeLongProperties

          public void shouldAutotypeLongProperties()

    - #### shouldAutotypeFloatProperties

          public void shouldAutotypeFloatProperties()

    - #### shouldGetPropertyKeysOnVertex

          public void shouldGetPropertyKeysOnVertex()

    - #### shouldNotGetConcurrentModificationException

          public void shouldNotGetConcurrentModificationException()

    - #### shouldReturnEmptyIteratorIfNoProperties

          public void shouldReturnEmptyIteratorIfNoProperties()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.